Skip to main content
GET
/
portfolio
/
{address}
Get portfolio summary
curl --request GET \
  --url https://api-testnet.context.markets/v2/portfolio/{address} \
  --header 'Authorization: Bearer <token>'
{
  "portfolio": [
    {
      "tokenAddress": "0x1111111111111111111111111111111111111111",
      "balance": "1000000",
      "settlementBalance": "1000000",
      "walletBalance": "1000000",
      "outcomeIndex": 123,
      "outcomeName": "<string>",
      "marketId": "0x1111111111111111111111111111111111111111111111111111111111111111",
      "netInvestment": "1000000",
      "currentValue": "1000000",
      "tokensRedeemed": "1000000"
    }
  ],
  "marketIds": [
    "0x1111111111111111111111111111111111111111111111111111111111111111"
  ],
  "cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Public API key passed as Bearer token

Path Parameters

address
string
required

EVM address

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x1111111111111111111111111111111111111111"

Query Parameters

marketId
string

32-byte hex hash

Pattern: ^0x[a-fA-F0-9]{64}$
Example:

"0x1111111111111111111111111111111111111111111111111111111111111111"

kind
enum<string>
Available options:
all,
active,
won,
lost,
claimable
cursor
string

Opaque pagination cursor

Example:

"eyJ0aW1lc3RhbXAiOiIyMDI2LTAzLTAzVDAwOjAwOjAwLjAwMFoiLCJpZCI6MTIzfQ=="

pageSize
number | null

Response

Portfolio

portfolio
object[]
required
marketIds
string[]
required

32-byte hex hash

Pattern: ^0x[a-fA-F0-9]{64}$
cursor
string | null
required